# Rate limits When using the Pinterest API, be aware of rate limits on the number of requests you can make to endpoints within specified time windows. We enforce universal rate limits to safeguard against excessive requests: - **Trial access:** 1000 requests per day for all API requests - **Standard access:** 100 requests per second per user per app for all API requests We also enforce specific rate limits for different categories of API activity. In each category, we apply a different rate limit for [Trial and Standard access](https://developers.pinterest.com/docs/key-concepts/access-tiers/), as seen in the following category table. ## Rate limit categories Each Pinterest API endpoint belongs to a rate limit category. See any endpoint in the [API reference](https://developers.pinterest.com/docs/api/v5/introduction) for its category. ![Rate limit listing in endpoint page](https://i.pinimg.com/originals/0c/6c/ba/0c6cba621e09f50b4438e87432f7def9.png) > **Note:** > All rate limits are subject to change without notice. | **Rate limit category** | **Description** | **Trial access** (*requests per day per app except as noted*) | **Standard access** (*requests per minute per user per app except as noted*) | | ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- | ---------------------------------------------------------------------------------- | | `ads_analytics` | Fetching analytical data about ads. | 1,000 | 300 | | `ads_conversions` | Sending batches of conversion events for an ad account. This category applies to requests authenticated with a token acquired through the [standard OAuth flow.](https://developers.pinterest.com/docs/getting-started/set-up-authentication-and-authorization/) > **Note:** > It is recommended that you use the [conversion access token](https://developers.pinterest.com/docs/track-conversions/track-conversions-in-the-api/#prerequisites), which enables you to send unlimited conversion-tracking events. You can make test requests to the [`events/create`](https://developers.pinterest.com/docs/api/v5/events-create) endpoint by setting the `is_test` parameter to `TRUE`. Test requests have a rate limit of 10 per app per second. | 1,000 *requests per day per ad account per app* | 120,000 *requests per minute per ad account per app* | | `ads_read` | Fetching information on ads, ad groups, ad campaigns or ad accounts. | 1,000 | 1,000 | | `ads_write` | Creating, editing or deleting ad entities, such as ad accounts, ads, ad groups or campaigns. | 300 | 400 | | `advanced_auction_read` | Fetching information related to bid options for ads auctions. | 1,000 | 50 | | `advanced_auction_write` | Operating on ad auction bid items. | 1,000 | 25 | | `catalogs_read` | Fetching item information from catalogs. | 1,000 | 100 | | `catalogs_write` | Creating or modifing item information for catalogs. | 1,000 | 100 | | `org_analytics` | Fetching user-related analytics data, such as account information and top Pins. | 1,000 | 60 | | `org_read` | Fetching user accounts, boards, board sections, or Pins. | 1,000 | 1,000 | | `org_write` | Creating, editing or deleting boards, board sections or Pins. | 300 | 100 | | `trends_read` | Fetching trending keyword information. | 1,000 | 60 | ## Manage rate limits You can monitor your API requests against rate limits and ask for adjustments. ### Monitor your API request tally To monitor the number of your requests, set up verbose output. For example, with cURL, you can insert the `-v` flag into your requests to see your status in the HTTP response headers, as with the following request: ```bash curl -v --location --request GET 'https://api.pinterest.com/v5/pins' \ --header 'Authorization: Bearer ' \ --header 'Content-Type: application/json' ``` The response header then includes rate limit information, such as the following: ```text < x-ratelimit-limit: 100, 100;w=1, 1000;w=60 < x-ratelimit-remaining: 99 < x-ratelimit-reset: 1 ``` ### Request rate limit changes To ask for a rate limit change, [file a ticket with our support team](https://help.pinterest.com/contact#no-back).